Index: spamassassin.spec
===================================================================
RCS file: /cvs/extras/rpms/spamassassin/devel/spamassassin.spec,v
retrieving revision 1.109
diff -u -r1.109 spamassassin.spec
--- spamassassin.spec	4 Sep 2008 21:46:30 -0000	1.109
+++ spamassassin.spec	16 Dec 2008 00:46:31 -0000
@@ -1,20 +1,47 @@
-# OPTION: perl-Archive-Tar (FC2+, RHEL4.6+)
+# OVERRIDE RHEL VERSION HERE, RHEL BUILDSYSTEM DOESN'T HAVE DIST TAG
+#%%define rhel 4
+
+# Define Variables that must exist
+%{?!rhel:%define rhel 0}
+%{?!fedora:%define fedora 0}
+
+# Map RHEL to Fedora version
+%if 0%{?rhel} == 4
+%define fedora 3
+%define dist .el4
+%endif
+%if 0%{?rhel} == 5
+%define fedora 6
+%define dist .el5
+%endif
+
+# Define variables to use in conditionals
+%define option_archive_tar 0
+%define option_ssl 0
+%define perl_devel 0
+
+# perl-Archive-Tar (FC2+, RHEL4.6+)
+%if 0%{?fedora} > 2
 %define option_archive_tar 1
-# OPTION: SSL and IPv6 (FC6+, RHEL5+)
+%endif
+
+# SSL and IPv6 (FC6+, RHEL5+)
+%if 0%{?fedora} > 5
 %define option_ssl 1
-# OPTION: Split perl-devel (FC7+)
-%define perl_devel 1
+%endif
 
-# DEPRECATED OPTION: Old krb5.h location (RHEL3 and old FC)
-%define option_old_krb5 0
+# Split perl-devel (FC7+)
+%if 0%{?fedora} > 6
+%define perl_devel 1
+%endif
 
 %define real_name Mail-SpamAssassin
 %{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
 
-Summary: Spam filter for email which can be invoked from mail delivery agents.
+Summary: Spam filter for email which can be invoked from mail delivery agents
 Name: spamassassin
 Version: 3.2.5
-Release: 2%{?dist}
+Release: 3%{?dist}
 License: ASL 2.0
 Group: Applications/Internet
 URL: http://spamassassin.apache.org/
@@ -34,7 +61,6 @@
 # end of patches
 Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 Buildroot: %{_tmppath}/%{name}-root
-Prefix: %{_prefix}
 Requires: /sbin/chkconfig /sbin/service
 Requires(post): diffutils
 
@@ -100,17 +126,17 @@
 export CFLAGS="$RPM_OPT_FLAGS"
 %{__perl} Makefile.PL DESTDIR=$RPM_BUILD_ROOT/ SYSCONFDIR=%{_sysconfdir} INSTALLDIRS=vendor ENABLE_SSL=yes < /dev/null
 
-%{__make} %{?option_old_krb5:SSLCFLAGS=-DSPAMC_SSL\ -I/usr/kerberos/include} OPTIMIZE="$RPM_OPT_FLAGS"
-
 %install
 rm -rf $RPM_BUILD_ROOT
 %makeinstall PREFIX=%buildroot/%{prefix} \
-	INSTALLMAN1DIR=%buildroot/%{_mandir}/man1 \
-	INSTALLMAN3DIR=%buildroot/%{_mandir}/man3 \
-	LOCAL_RULES_DIR=%{buildroot}/etc/mail/spamassassin
+        INSTALLMAN1DIR=%buildroot/%{_mandir}/man1 \
+        INSTALLMAN3DIR=%buildroot/%{_mandir}/man3 \
+        LOCAL_RULES_DIR=%{buildroot}/etc/mail/spamassassin
 chmod 755 %buildroot/%{_bindir}/* # allow stripping
 install -d %buildroot/%{_initrddir}
 install -m 0755 spamd/redhat-rc-script.sh %buildroot/%{_initrddir}/spamassassin
+install -m 0755 tools/check_whitelist %buildroot/%{_bindir}/check_whitelist
+install -m 0755 contrib/check_spamd %buildroot/%{_bindir}/check_spamd
 
 mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/mail/spamassassin
 mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
@@ -121,9 +147,11 @@
 
 install -m 0644 %{SOURCE3} %buildroot/etc/mail/spamassassin
 install -m 0644 %{SOURCE4} %buildroot/etc/mail/spamassassin
+# installed mode 755 as it's executed by users. 
 install -m 0755 %{SOURCE10} %buildroot/etc/mail/spamassassin
 install -m 0644 %{SOURCE6} %buildroot/etc/logrotate.d/sa-update
-install -m 0600 %{SOURCE7} %buildroot/etc/cron.d/sa-update
+install -m 0644 %{SOURCE7} %buildroot/etc/cron.d/sa-update
+# installed mode 744 as non root users can't run it, but can read it.
 install -m 0744 %{SOURCE8} %buildroot%{_datadir}/spamassassin/sa-update.cron
 
 [ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress
@@ -149,14 +177,14 @@
 %defattr(-,root,root)
 %doc LICENSE NOTICE CREDITS Changes README TRADEMARK UPGRADE
 %doc USAGE sample-nonspam.txt sample-spam.txt
-%config %{_initrddir}/spamassassin
+%{_initrddir}/spamassassin
 %config(noreplace) %{_sysconfdir}/mail/spamassassin
 %config(noreplace) %{_sysconfdir}/sysconfig/spamassassin
 %config(noreplace) %{_sysconfdir}/cron.d/sa-update
 %dir %{_datadir}/spamassassin
 %dir %{_localstatedir}/run/spamassassin
 %dir %{_localstatedir}/lib/spamassassin
-%{_sysconfdir}/logrotate.d/sa-update
+%config(noreplace) %{_sysconfdir}/logrotate.d/sa-update
 
 %clean
 rm -rf $RPM_BUILD_ROOT
@@ -195,6 +223,10 @@
 exit 0
 
 %changelog
+* Sun Dec 14 2008 Kevin Fenzi <kevin@tummy.com> - 3.2.5-3
+- Update for merge review - bug 226426
+- Add check_whitelist and check_spamd - bug 229179
+
 * Thu Sep  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> 3.2.5-2
 - fix license tag
 
@@ -539,7 +571,7 @@
 - fix SIGCHLD handling
 
 * Mon Feb 10 2003 Bill Nottingham <notting@redhat.com>
-- move condrestart to %postun
+- move condrestart to %%postun
 
 * Sun Feb  2 2003 Chip Turner <cturner@redhat.com>
 - update to 2.44
@@ -577,7 +609,7 @@
 - automated release bump and build
 
 * Thu Jul 18 2002 Chip Turner <cturner@redhat.com>
-- better control of service level, improvement in %post script.
+- better control of service level, improvement in %%post script.
 - (contribs from schirmer@taytron.net)
 
 * Fri Jun 28 2002 Chip Turner <cturner@redhat.com>
